Clipform

Get products from a Shopify collection

Returns all active, published products from a specific collection. Accepts a Shopify collection GID or numeric ID.

GET
/integrations/shopify/collections/{id}/products

Authorization

Authorization
Required
Bearer <token>

Supabase JWT access token

In: header

Path Parameters

id
Required
string

Collection GID (URL-encoded) or numeric ID

Query Parameters

workspace_id
Required
string
Format: "uuid"
firstinteger

Number of products to return (max 250)

Default: 50Maximum: 250
curl -X GET "https://api.clipform.io/v1/integrations/shopify/collections/string/products?workspace_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&first=50" \
  -H "Authorization: Bearer <token>"

Collection with products

{
  "collection": {
    "id": "string",
    "title": "string"
  },
  "products": [
    {
      "id": "string",
      "title": "string",
      "handle": "string",
      "description": "string",
      "image": {
        "url": "string",
        "altText": "string"
      },
      "variants": [
        {
          "id": "string",
          "title": "string",
          "price": {
            "amount": "string",
            "currencyCode": "string"
          },
          "available": true
        }
      ]
    }
  ],
  "shop": "string"
}